{
  "format_version":"1.10.0",
  "particle_effect": {
    "description": {
      "identifier": "add:colores",
      "basic_render_parameters": {
        "material": "particles_alpha",
        "texture": "textures/particles/colores"
      }
    },
    "components": {
      "minecraft:emitter_rate_steady": {
        "spawn_rate": 3,
        "max_particles": 4
      },

      "minecraft:emitter_lifetime_looping": {
        "active_time": 1.6
      },

      "minecraft:emitter_shape_point": {
        "direction": [
          "-0.5 + Math.Random(0, 1) + (Math.Random(0, 2) - 1) * 0.4",
          "(1 + (Math.Random(0, 2) - 1) * 0.4) * 0.5",
          "-0.5 + Math.Random(0, 1) + (Math.Random(0, 2) - 1) * 0.4"
        ]
      },

      "minecraft:particle_initial_speed": "Math.random(0.3, 0.6)",

      "minecraft:particle_initial_spin": {
        "rotation": "Math.random(0, 360)",
        "rotation_rate": "Math.random(-300, 300)"
      },

      "minecraft:particle_lifetime_expression": {
        "max_lifetime": "Math.random(1.2, 1.8)"
      },

      "minecraft:particle_motion_dynamic": {
        "linear_acceleration": [ 0, 2.0, 0 ],
        "linear_drag_coefficient": 1,
        "rotation_drag_coefficient": 0.3
      },

      "minecraft:particle_appearance_billboard": {
        "size": [ "0.1 + variable.particle_age * 0.1f", "0.1 + variable.particle_age * 0.1f" ],
        "facing_camera_mode": "lookat_xyz",

        "uv": {
          "texture_width": 90,
          "texture_height": 10,

          "flipbook": {
            "base_UV": [ 0, 0 ],
            "size_UV": [ 8, 8 ],
            "step_UV": [ 8, 0 ],
            "frames_per_second": 1.2,
            "max_frame": 10,
            "stretch_to_lifetime": true,
            "loop": true
          }
        }
      },
      "minecraft:particle_appearance_tinting": {
        "color": [ 1, 1, 1, 1 ]
      },
      "minecraft:particle_appearance_lighting": {}
    }
  }
}
